ランタイム: Mix::Dynamics::IVehicle Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Dynamics::IVehicle Class Referenceabstract

ビハイクルインターフェース More...

`#include <IVehicle.h>`

Inheritance diagram for Mix::Dynamics::IVehicle:
[legend]
Collaboration diagram for Mix::Dynamics::IVehicle:
[legend]

## Public Member Functions

virtual void | Reset (void)=0
| リセットします More...
virtual void | Reset (const Mix::Quaternion &worldRot, const Mix::Vector3 &worldPos)=0
| リセットします More...
virtual UInt32 | GetWheelNum (void) const =0
| ホイールの数を取得します More...
virtual Boolean | GetWheel (UInt32 wheelIndex, Mix::Dynamics::IVehicleWheel **ppWheel)=0
| ホイールを取得します More...
virtual Mix::Dynamics::IVehicleWheel * | GetWheelPtr (UInt32 wheelIndex) const =0
| ホイールのポインタを取得します More...
virtual Float32 | GetCurrentSpeedKmHour (void) const =0
| 毎時の速度(キロメートル単位)を取得します More...
Public Member Functions inherited from Mix::Dynamics::IObject
virtual Mix::Dynamics::IObject::TYPE | GetType (void) const =0
| 種類を取得します More...
virtual Boolean | GetShape (Mix::Dynamics::IShape **ppShape)=0
| シェイプを取得します More...
virtual Float32 | GetShapeMargin (void) const =0
| シェイプの衝突マージンを取得します More...
virtual void | SetShapeMargin (Float32 margin)=0
| シェイプの衝突マージンを設定します More...
virtual UInt16 | GetFilterGroup (void) const =0
| フィルターグループを取得します More...
virtual void | SetFilterGroup (UInt16 filterGroup)=0
| フィルターグループを設定します More...
virtual UInt16 | GetFilterMask (void) const =0
| フィルターマスクを取得します More...
virtual void | SetFilterMask (UInt16 filterMask)=0
| フィルターマスクを設定します More...
virtual const Mix::Dynamics::MATERIAL & | GetMaterial (void) const =0
| マテリアルを取得します More...
virtual void | SetMaterial (const Mix::Dynamics::MATERIAL &material)=0
| マテリアルを設定します More...
virtual Mix::Quaternion | GetWorldRotation (void) const =0
| ワールドの回転を取得します More...
virtual Mix::Vector3 | GetWorldPosition (void) const =0
| ワールドの位置を取得します More...
virtual Mix::Matrix4x4 | GetWorldMatrix (void) const =0
| ワールド行列を取得します More...
virtual void | SetWorldRotation (const Mix::Quaternion &rot)=0
| ワールドの回転を設定します More...
virtual void | SetWorldPosition (const Mix::Vector3 &pos)=0
| ワールドの位置を設定します More...
virtual void | SetWorldTransform (const Mix::Quaternion &rot, const Mix::Vector3 &pos)=0
| ワールドトランスフォームを設定します More...
virtual Boolean | IsInWorld (void) const =0
| ワールドに配置されているかどうかを確認します More...
virtual Mix::Geometry::AABB | GetBounds (void) const =0
| 境界を取得します More...
virtual Boolean | AddListener (Mix::Dynamics::IObjectListener *pListener)=0
| リスナーを追加します More...
virtual void | RemoveListener (Mix::Dynamics::IObjectListener *pListener)=0
| リスナーを削除します More...
virtual Int32 | GetUserIndex (void) const =0
| ユーザーインデックスを取得します More...
virtual void | SetUserIndex (Int32 index)=0
| ユーザーインデックスを設定します More...
virtual void * | GetUserPtr (void) const =0
| ユーザーポインタを取得します More...
virtual void | SetUserPtr (void *pData)=0
| ユーザーポインタを設定します More...
virtual UInt32 | Debug_GetDrawFlags (void) const =0
| デバッグ : 描画フラグを取得します More...
virtual void | Debug_SetDrawFlags (UInt32 flags)=0
| デバッグ : 描画フラグを設定します More...
virtual Float32 | Debug_GetDrawAxisScaling (void) const =0
| デバッグ : 軸を描画する際のを取得します More...
virtual void | Debug_SetDrawAxisScaling (Float32 scaling)=0
| デバッグ : 軸を描画する際のスケールを設定します More...
virtual void | Debug_Draw (Mix::Graphics::Utility::IPerspectiveRenderer *pPerspectiveRenderer, Float32 opacity=1.0f)=0
| デバッグ描画をします More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IVehicle (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Dynamics::IObject
virtual | ~IObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Additional Inherited Members

Public Types inherited from Mix::Dynamics::IObject
enum | TYPE { STATIC_PLANE = 0, STATIC_MESH = 1, RIGIDBODY = 2, SENSOR = 3, KINEMATIC_CHARACTER = 4, VEHICLE = 5 }
| タイプ列挙定数 More...

## Detailed Description

ビハイクルインターフェース

## Constructor & Destructor Documentation

virtual Mix::Dynamics::IVehicle::~IVehicle | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual void Mix::Dynamics::IVehicle::Reset | ( | void |  | ) |

pure virtual

リセットします

Note
  ｢速度｣｢接触｣｢サスペンション｣をクリアします

virtual void Mix::Dynamics::IVehicle::Reset | ( | const Mix::Quaternion & | worldRot,
|  | const Mix::Vector3 & | worldPos
| ) |  |

pure virtual

リセットします

Parameters

  [in] | worldRot | リセット後の回転を表す Mix::Quaternion クラス
  [in] | worldPos | リセット後の位置を表す Mix::Vector3 クラス

Note
  ｢速度｣｢接触｣｢サスペンション｣をクリアします

virtual UInt32 Mix::Dynamics::IVehicle::GetWheelNum | ( | void |  | ) | const

pure virtual

ホイールの数を取得します

Returns
  ホイールの数を返します

virtual Boolean Mix::Dynamics::IVehicle::GetWheel | ( | UInt32 | wheelIndex,
|  | Mix::Dynamics::IVehicleWheel ** | ppWheel
| ) |  |

pure virtual

ホイールを取得します

Parameters

  [in] | wheelIndex | ホイールのインデックス
  [out] | ppWheel | ホイールを表す Mix::Dynamics::IVehicleWheel インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  取得したホイールは参照カウントを +1 します

virtual Mix::Dynamics::IVehicleWheel* Mix::Dynamics::IVehicle::GetWheelPtr | ( | UInt32 | wheelIndex | ) | const

pure virtual

ホイールのポインタを取得します

Parameters

  [in] | wheelIndex | ホイールのインデックス

Returns
  ホイールを表す Mix::Dynamics::IVehicleWheel インターフェースのポインタを返します

virtual Float32 Mix::Dynamics::IVehicle::GetCurrentSpeedKmHour | ( | void |  | ) | const

pure virtual

毎時の速度(キロメートル単位)を取得します

Returns
  毎時の速度を返します

The documentation for this class was generated from the following file:

- Mix/Dynamics/IVehicle.h